#include <iostream>

using namespace std;

int main()
{
    int nKarte,iIzvucena,i,izvucena;
    cin >> nKarte >> iIzvucena;
    int a[nKarte];
    for( i = 0; i< nKarte ;i++)
        cin >> a[i];
    for(i = 1; i<=nKarte;i++)
    {
        if(a[i-1]==iIzvucena)
        izvucena = a[i];
            if(iIzvucena == a[nKarte-1])
            izvucena = a[0];
    }
    cout << izvucena;
    return 0;
}